<script>
	$(document).ready(function(e) {

		$(".btnAnterior").button({
			icons: {
				primary: "ui-icon-circle-arrow-w"
			}
		});

		$(".btnProximo").button({
			icons: {
				primary: "ui-icon-circle-arrow-e"
			}
		});

	});

	jQuery(document).bind('keydown.left', function(evt) {
		location = '?p=calendario/calendario&data=' + $('#btnAnterior').attr('data');
		return false;
	})


	jQuery(document).bind('keydown.right', function(evt) {
		location = '?p=calendario/calendario&data=' + $('#btnProximo').attr('data');
		return false;
	})
</script>

<head>
	<meta charset="utf-8" />


</head>

<body>
	<?php
	include_once('class/class.mysql.php');
	include_once('evento/class.evento.php');
	$evento = new Evento();
	include_once('feriado/class.feriado.php');
	$feriado = new Feriado();
	include_once('include/utilitarios.php');

	// ini_set('display_errors', 1);
	// ini_set('display_startup_errors', 1);
	// error_reporting(E_ERROR);

	$mysqlCom = $mysqlCom = new MysqlConnect();



	if (empty($_GET['data'])) { //navegaçao entre os meses
		$dia = date('d');
		$month = ltrim(date('m'), "0");
		$ano = date('Y');
	} else {
		$data = explode('/', $_GET['data']); //nova data
		$dia = $data[0];
		$month = $data[1];
		$ano = $data[2];
	}


	if ($month == 1) { //mês anterior se janeiro mudar valor
		$mes_ant = 12;
		$ano_ant = $ano - 1;
	} else {
		$mes_ant = $month - 1;
		$ano_ant = $ano;
	}


	if ($month == 12) { //proximo mês se dezembro tem que mudar
		$mes_prox = 1;
		$ano_prox = $ano + 1;
	} else {
		$mes_prox = $month + 1;
		$ano_prox = $ano;
	}

	$n = '';

	$hoje = date('j'); //função importante pego o dia corrente

	switch ($month . $n) {/*notem duas variaveis para o switch para identificar dia e limitar numero de dias*/
		case 1:
			$mes = "JANEIRO";
			$n = 31;
			break;
		case 2:
			$mes = "FEVEREIRO"; // todo ano bixesto fev tem 29 dias
			$bi = $ano % 4; //anos multiplos de 4 são bixestos
			if ($bi == 0) {
				$n = 29;
			} else {
				$n = 28;
			}
			break;
		case 3:
			$mes = "MAR&Ccedil;O";
			$n = 31;
			break;
		case 4:
			$mes = "ABRIL";
			$n = 30;
			break;
		case 5:
			$mes = "MAIO";
			$n = 31;
			break;
		case 6:
			$mes = "JUNHO";
			$n = 30;
			break;
		case 7:
			$mes = "JULHO";
			$n = 31;
			break;
		case 8:
			$mes = "AGOSTO";
			$n = 31;
			break;
		case 9:
			$mes = "SETEMBRO";
			$n = 30;
			break;
		case 10:
			$mes = "OUTUBRO";
			$n = 31;
			break;
		case 11:
			$mes = "NOVEMBRO";
			$n = 30;
			break;
		case 12:
			$mes = "DEZEMBRO";
			$n = 31;
			break;
	}



	$pdianu = mktime(0, 0, 0, $month, 1, $ano); //primeiros dias do mes
	$dialet = date('D', $pdianu); //escolhe pelo dia da semana
	switch ($dialet) { //verifica que dia cai
		case "Sun":
			$branco = 0;
			break;
		case "Mon":
			$branco = 1;
			break;
		case "Tue":
			$branco = 2;
			break;
		case "Wed":
			$branco = 3;
			break;
		case "Thu":
			$branco = 4;
			break;
		case "Fri":
			$branco = 5;
			break;
		case "Sat":
			$branco = 6;
			break;
	}

	$diaSemana = array('Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado');

	?>
	<link href="css/alert.css" rel="stylesheet" type="text/css" />

	<div class="sixteen.columns">
		<div id="dvPrincipal">
			<div id="pnDataMobile" style="margin-left:5px;"><strong> <?php echo $mes . ' / ' . $ano ?> - Hoje (<?php echo $diaSemana[date("w")] . ' ' . $dia . '/' . $month . '/' . $ano ?>)</strong></div>
			<div class="three columns alpha divDia" id="divAnt" style="padding:5px 1px 5px; text-align:center">
				<button class="btnAnterior" id="btnAnterior" data="<?php echo $dia . '/' . $mes_ant . '/' . $ano_ant ?>">Anterior</button>
			</div>
			<div class="ten columns alpha divDia divAgora" style="padding:8px 1px 8px 0px; font-size:13px; height:19px; text-align:center"><strong>
					<?php echo $mes . ' / ' . $ano ?> - Hoje (<?php echo $diaSemana[date("w")] . ' ' . $dia . '/' . $month . '/' . $ano ?>)
				</strong></div>
			<div class="three columns omega divDia" id="divProx" style="padding:5px 1px 5px; text-align:center">
				<button class="btnProximo" id="btnProximo" data="<?php echo $dia . '/' . $mes_prox . '/' . $ano_prox ?>">Pr&oacute;ximo</button>
			</div>

			<div class="two columns omega semana pnTitulo">Domingo</div>
			<div class="two columns omega semana pnTitulo">Segunda</div>
			<div class="two columns omega semana pnTitulo">Terça</div>
			<div class="two columns omega semana pnTitulo">Quarta</div>
			<div class="two columns omega semana pnTitulo">Quinta</div>
			<div class="two columns omega semana pnTitulo">Sexta</div>
			<div class="two columns omega semana pnTitulo">Sabado</div>



			<?php
			class Calendario
			{
				public $pdianu; //primeiros dias do mes
				public $dialet; //escolhe pelo dia da semana
				public $evento;
				public $dtevento;
				public $data_dia;
				public $data_invirtida;
				public $feriado;
				public $diaFeriadoScript;
				public $descricaoFeriado;

				public $SM_qtoEvento = array('', 4, 4, 4, 4, 4);
				public $SM_TamanhoDiv = array('', 90, 90, 90, 90, 90);
				public $SM_NomeDiv = array('', 'sm1', 'sm2', 'sm3', 'sm4', 'sm5');


				public function __construct()
				{
					$this->evento = new Evento();
					$this->feriado = new Feriado();
				}


				function ImagemDaSemana($dia, $mes, $ano)
				{

					$this->pdianu = mktime(0, 0, 0, $mes, $dia, $ano); //primeiros dias do mes
					$this->dialet = date('D', $this->pdianu); //escolhe pelo dia da semana
					switch ($this->dialet) { //verifica que dia cai
						case "Sun":
							$imgDia = 'dom';
							break;
						case "Mon":
							$imgDia = 'seg';
							break;
						case "Tue":
							$imgDia = 'ter';
							break;
						case "Wed":
							$imgDia = 'qua';
							break;
						case "Thu":
							$imgDia = 'qui';
							break;
						case "Fri":
							$imgDia = 'sex';
							break;
						case "Sat":
							$imgDia = 'sab';
							break;
					}
					return $imgDia;
					//return '<img class="img_semana" src="'.$imgDia.'"/>';	
				}

				function RedimensionarDiv($QtoEvento, $Sm)
				{
					//$numSm = substr($Sm,-1);
					if ($QtoEvento > $this->SM_qtoEvento[$Sm]) {
						$this->SM_TamanhoDiv[$Sm] = $QtoEvento * 22;
						$this->SM_qtoEvento[$Sm] = $QtoEvento;
					}
				}

				/*
			RedimensinarDiv(QtoEvento, Sm)
SM[1]=4; //QtoEvento
SM[1][1]=80; // tamanho div
SM[1][1][1]='sm1';//nome div

Sm=attr(Sm);
QtoEvento=attr(qtoEvento);
NumSM=strstr(Sm,2,1);

    If(QtoEvento > SM[NumSM]){
      SM[NumSM][NumSM]  = QtoEvento * 20;
       SM[NumSM] = QtoEvento;
}
			*/

				function ListaNumDia_BtnNovoEvento($dia, $mes, $ano)
				{
					$this->dtevento = $dia . "-" . $mes . "-" . $ano;
					$this->data_dia = $dia . "/" . $mes . "/" . $ano;
					$this->data_invirtida = $ano . '/' . $mes . '/' . $dia;


					$this->evento->ListaEvento($this->data_invirtida);
					$qtoEvento =  mysqli_num_rows($this->evento->qry); //$evento->QuantidadeEvento($ano.'/'.$month.'/'.$i);

					//Lista dia
					echo $qtoEvento > 0 ? '<a style="font-size:15px;" href="' . $this->data_invirtida . '" class="btnLista" title=" Listar Eventos">' . $dia .
						' <span style="font-size:11px;">Lista Eventos</span></a>' : '<span style="font-size:15px;">' . $dia . '</span>';
					//BtnNovo Evento
					echo "<a class='btnNovoEvento' data='$this->data_dia' href='?p=evento/novo_evento&d=$dia&m=$mes&a=$ano' title='Novo Evento'><div class='botao' ></div></a>";
					return $qtoEvento;
				}



				function EventoMudado($dia, $mes, $ano)
				{
					$this->evento->SelectEvendoMudado($ano . '/' . $mes . '/' . $dia);

					while ($rDt = mysqli_fetch_object($this->evento->qry_ax)) {
						$dtAntiga = InverterData($rDt->data_antiga);
						$dtNova   = InverterData($rDt->data_nova);
						$DataVelha .= "<div class='ui-state-default' align='left'>
					  <a class='btnDM' href='' title='Data Alterada - $rDt->nome - Data Antiga.: $dtAntiga - Data Nova.: $dtNova'>";
						$DataVelha .= 'DA';
						$DataVelha .= '-';
						$DataVelha .= substr($rDt->nome, 0, 17);
						$DataVelha .= "</a> </div>";
					}
					$qto =  mysqli_num_rows($this->evento->qry_ax);

					echo $DataVelha;
					return $qto;
				}


				function CarregarPrevia($dia, $mes, $ano)
				{
					$this->evento->CarregarPrevia($ano . '/' . $mes . '/' . $dia);
					while ($rPre = mysqli_fetch_object($this->evento->qry_ver)) {
						$EventoPrint .= "<div class='alert' align='left'>
											<a href='?p=evento/principal&id_evento=$rPre->id_evento' title='Prévia - $rPre->nome - hs.: $rPre->hora - $rPre->previa'>";
						$EventoPrint .= 'PV';
						$EventoPrint .= '-';
						$EventoPrint .= substr($rPre->nome, 0, 17);
						$EventoPrint .= "</a> </div>";
					}
					$qtoEvento =  mysqli_num_rows($this->evento->qry_ver);
					//
					echo $EventoPrint;
					return $qtoEvento;
				}


				function ListaFeriado($ano, $mes)
				{
					$this->diaFeriadoScript = '';
					$this->descricaoFeriado = '';

					//feriado pessoal
					$this->feriado->SelectDia($ano, $mes);
					while ($row = mysqli_fetch_object($this->feriado->qry)) {
						$feriado_dt = explode('-', $row->data); //nova data
						$feriado_dia = ltrim($feriado_dt[2], "0");;
						$this->diaFeriadoScript .= '.d' . $feriado_dia . ', ';
						$this->descricaoFeriado .= $feriado_dia . ' - ' . $row->descricao . ', ';
					}
					//Feriado Nascional
					$this->feriado->FeriadoNascional($ano, $mes);
					while ($row = mysqli_fetch_object($this->feriado->qry)) {
						$feriado_dt = explode('-', $row->data); //nova data
						$feriado_dia = ltrim($feriado_dt[2], "0");;
						$this->diaFeriadoScript .= '.d' . $feriado_dia . ', ';
						$this->descricaoFeriado .= $feriado_dia . ' - ' . $row->descricao . ', ';
					}
				}



				function ListaEventos($dia, $mes, $ano)
				{
					$this->dtevento = $dia . "-" . $mes . "-" . $ano;
					$this->data_dia = $dia . "/" . $mes . "/" . $ano;
					$this->data_invirtida = $ano . '/' . $mes . '/' . $dia;

					$this->evento->ListaEvento($this->data_invirtida);
					while ($row = mysqli_fetch_object($this->evento->qry)) {
						$classEvento = 'alert alert-info';
						switch ($row->abreviacao) {
							case "CA":
								$classEvento = 'alert alert-error';
								break;
							case "CR":
								$classEvento = 'alert alert-error';
								break;
							case "SP":
								$classEvento = 'alert alert-success';
								break;
							case "SF":
								$classEvento = 'alert alert-success';
								break;
							case "BP":
								$classEvento = 'alert alert-error';
								break;
							case "BS":
								$classEvento = 'alert alert-error';
								break;
							case "ES":
								$classEvento = 'alert alert-error';
								break;
							case "AN":
								$classEvento = 'alert alert-error';
								break;
						}


						$Cancelado =  $row->cancelado == 'S' ? 'evtCancelado' : '';
						$CanceladoTitulo  = $row->cancelado == 'S' ? 'Evento Cancelado' : '';



						echo "<div class='$classEvento $Cancelado' align='left' >
						<a href='?p=evento/principal&id_evento=$row->id_evento' 
						title='$CanceladoTitulo  $row->tipo_evento - $row->nome - hs.: $row->hora'>";
						echo $row->abreviacao;
						echo '-';
						echo substr($CanceladoTitulo . $row->nome, 0, 17);
						echo "</a> </div>";
					}
				}
			}


			$calendario = new Calendario();

			$dt = 1;
			if ($branco > 0) {
				for ($x = 0; $x < $branco; $x++) {
					echo '<div class="two columns omega semana divDia pnDia" >&nbsp;</div>';/*preenche os espaços em branco*/
					$dt++;
				}
			}

			$aSemana = 1;
			for ($i = 1; $i <= $n; $i++) {
				$hoje = $i == $dia ? 'hj' : '';
				if ($dt > 7) {
					$aSemana++;
					$dt = 1;
				}
				$dt++;

				echo '<div sm="sm' . $aSemana . '" class="two columns omega ' . $hoje . ' divDia pnDia d' . $i . ' ' . $calendario->ImagemDaSemana($i, $month, $ano) . ' sm' . $aSemana . '">';
				$qtoEvento = $calendario->ListaNumDia_BtnNovoEvento($i, $month, $ano);
				$calendario->ListaEventos($i, $month, $ano);
				$qtoEvendoMudado = $calendario->EventoMudado($i, $month, $ano);
				$qtoPrevia = $calendario->CarregarPrevia($i, $month, $ano);
				$qtoTotal = $qtoEvento + $qtoPrevia + $qtoEvendoMudado;
				$calendario->RedimensionarDiv($qtoTotal, $aSemana);
				echo '</div>';
			}

			$calendario->ListaFeriado($ano, $month);

			?>

		</div>
	</div>



	<script>
		$('.evt').css({
			borderLeft: '2px solid #1883b4'
		});
		$('.dom').css({
			borderLeft: '2px solid #c50902'
		});
		$('.hj').css({
			borderRight: '2px solid #24af12'
		}).css({
			borderLeft: '2px solid #24af12'
		});

		var semana = $('.d<?php echo date('j') ?>').attr('sm');
		$('.' + semana).css('background-image', 'url(img/semana.png)');


		//hj d22

		$('<?php echo substr($calendario->diaFeriadoScript, 0, -2); ?>').css({
			borderRight: '2px solid #c50902'
		});

		//para eventos cancelados
		$('.evtCancelado').removeClass('alert alert-error alert-info alert-success ui-state-default evtCancelado').addClass('ui-state-default alert');
		$('#dvPrincipal .<?php echo $calendario->SM_NomeDiv[1] ?>').css('height', '<?php echo $calendario->SM_TamanhoDiv[1] ?>px');
		$('#dvPrincipal .<?php echo $calendario->SM_NomeDiv[2] ?>').css('height', '<?php echo $calendario->SM_TamanhoDiv[2] ?>px');
		$('#dvPrincipal .<?php echo $calendario->SM_NomeDiv[3] ?>').css('height', '<?php echo $calendario->SM_TamanhoDiv[3] ?>px');
		$('#dvPrincipal .<?php echo $calendario->SM_NomeDiv[4] ?>').css('height', '<?php echo $calendario->SM_TamanhoDiv[4] ?>px');
		$('#dvPrincipal .<?php echo $calendario->SM_NomeDiv[5] ?>').css('height', '<?php echo $calendario->SM_TamanhoDiv[5] ?>px');
		//@media only screen and (min-width: 768px) and (max-width: 959px) 
		largura = $(document).width(); //largura da página
		if (largura < 767) {
			$('#dvPrincipal .pnDia').css('height', 'auto');
		}
		//@media only screen and (max-width: 767px)
	</script>
	<div style="clear:both"></div>
	<span style="font-size:11;"><?php echo substr($calendario->descricaoFeriado, 0, -2); ?></span>

	<br>
	<div class="alert alert-error" style="width:100px; font-size:10px; margin-right:3px; float:left;">Eventos</div>
	<div class="alert alert-info" style="width:100px; font-size:10px; margin-right:3px; float:left;">Atendimento</div>
	<div class="alert alert-success" style="width:100px; font-size:10px; margin-right:3px; float:left;">Salão</div>
	<div class="alert" style="width:100px; font-size:10px; margin-right:3px; float:left;">Prévia</div>
	<div class="ui-state-default" style="width:100px; font-size:10px; margin-right:3px; float:left;">Data Alterada</div>
	<div class="ui-state-default alert" style="width:100px; font-size:10px; margin-right:3px; float:left;"><a id="btnEventoX" href="#">Evento Cancelado</a></div>
	<div style="clear:both"></div>
</body>

</html>

<script type="text/javascript" src="js/table.js"></script>